Get Ticketing Holder Data by Ticketing Id

This API used to get ticketing holder data by ticketing id associated with the specified event.
This API can be access by event admin and super admin. It will return attributes data like seatNumber, eventTicketingId, eventKey, holder related attributes information and question related attributes information.
To call this API, user have to pass query param with API URL like ticketId and authentication key to authenticate user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.
It will return a success message if API execute successfully.

AttributeDescription
seatNumberIt contains is selected seat number of holder.
attributesIt's contains the holder related attributes information.
  • *name:** Name of html field, this will use when send back data to server.
  • *type:** Type of html field, possible values are TEXT, DROPDOWN, EMAIL, NUMBER, DATE.
  • *value:** This will be empty for ticket purchase but will be user while editing order.
  • *defaultValue:** Xml data to render default value, this can be array for dropdown.
  • *mandatory:** is field mandatory during submission.
  • *eventTicketTypeId:** This will check if attribute needs to show for specific event type.
eventTicketingIdIt's contains the event ticketing id.
questionsIt's contains the question related attributes information.
  • *name:** Name of html field, this will use when send back data to server.
  • *type:** Type of html field, possible values are TEXT, DROPDOWN, EMAIL, NUMBER, DATE.
  • *value:** This will be empty for ticket purchase but will be user while editing order.
  • *defaultValue:** Xml data to render default value, this can be array for dropdown.
  • *mandatory:** is field mandatory during submission.
  • *eventTicketTypeId:** This will check if attribute needs to show for specific event type.
eventKeyIt's contains the event key.
nestedQuestionsit's contains array of conditional questions related information.
  • *defaultValue**: it is list of the values in json format from it user can select value,
  • *eventTicketTypeId**: its comma seperated ticket types id supported for conditional question,
  • *id**: it is unique id of conditional question,
  • *mandatory**: if it is true then user must have to answer the conditional question,
  • *name**: it is name of conditional question,
  • *parentQueId**:it is parent id of conditional question,
  • *position**: it is position of conditional question to show order form,
  • *selectedAnsId**: it is id used to show by default value for questions ,
  • *type**: it is type of conditional question and its must be CONDITIONAL_QUE,
  • *value**: it is used to store value of conditional question.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
200ticketing holder information.
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030201Not Event Host.
Path Params
int64
required

pass ticketing holder data by ticketing id.

string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here demo is the event url.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json